library orientdb1.database;

import 'orientdb1_base.dart';
import 'dart:html';
import 'dart:async';
import 'dart:convert';

class Database {

  OrientDB1 databaseSystem;
  String databaseName;

  Future<bool> Exists() {
    Completer completer = new Completer();
    bool exists;

    HttpRequest.getString("${databaseSystem.toURL()}/listDatabases").then((
        content) {
      exists = false;
      var raw = JSON.decode(content);
      List databases = raw['databases'];
      for (var database in databases) {
        if (databaseName == database) {
          exists = true;
        }
      }
      completer.complete(exists);
    });
    return completer.future;
  }
}